
import axios from "@/utils/axios";
export default {
  /**
  * 专利详情
  */
  selectPatentDetail(data) {
    return axios.post("/xiaoshi/patent/selectPatentDetail", data);
  },
  /**
   * 专利数据库查询专利清单（分页）
   * @param {*} data 
   * @returns 
   */
  QueryPatent(data) {
    // if(!data.projectId && !data.productId){
    //   confirm('无效访问')
    //   window.history.go(-1)
    //   return
    // }
    return axios.post("/xiaoshi/patent/queryPatent", data);
  },
  /**
   * 专利数据库查询专利清单（从第几条查多少条）
   * @param {*} data 
   * @returns 
   */
  getPatentPageMessage(data) {
    return axios.post("/xiaoshi/patent/getPatentPageMessage", data);
  },
  /**
   * 根据专利号查询专利
   * @param {*} params 
   * @returns 
   */
  queryPatentByNo(params) {
    return axios.get("/xiaoshi/patent/queryPatentByNo", { params });
  },
  /**
   * 根据专利号查询专利(外部)
   * @param {*} params 
   * @returns 
   */
  queryPatentByNoFromWeb(params) {
    return axios.get("/xiaoshi/patent/queryPatentByNoFromWeb", { params });
  },
  /**
   * 合并发明人、申请人、权利人添加
   * @param {*} data 
   * @returns 
   */
  mergePerson(data) {
    return axios.post("/xiaoshi/patent/mergePerson", data);
  },
  /**
   * 合并发明人、申请人、权利人编辑
   * @param {*} data 
   * @returns 
   */
  updateMergePerson(data) {
    return axios.post("/xiaoshi/patent/updateMergePerson", data);
  },
  /**
   * 合并发明人、申请人、权利人编辑再次合并
   * @param {*} data 
   * @returns 
   */
  mergePersonAgain(data) {
    return axios.post("/xiaoshi/patent/mergePersonAgain", data);
  },
  /**
   * 合并发明人、申请人、权利人查询列表
   * @param {*} data 
   * @returns 
   */
  selectMergePerson(data) {
    return axios.post("/xiaoshi/patent/selectMergePerson", data);
  },
  /**
   * 获取当前专题库所有的发明人、申请人、权利人
   * @param {*} data 
   * @returns 
   */
  getMergePerson(data) {
    return axios.post("/xiaoshi/patent/getMergePerson", data);
  },
  /**
   * 查看合并的信息
   * @param {*} data 
   * @returns 
   */
  selectMergePersonDetail(data) {
    return axios.post("/xiaoshi/patent/selectMergePersonDetail", data);
  },
  /**
   * 移除单个合并人的信息
   * @param {*} data 
   * @returns 
   */
  delMergedName(data) {
    return axios.post("/xiaoshi/patent/delMergedName", data);
  },
  /**
   * 合并申请人、权利人、发明人（新增合并、再合并、编辑）
   * @param {*} data 
   * @returns 
   */
  commonMerge(data) {
    return axios.post("/xiaoshi/patent/commonMerge", data);
  },


  /**
   * 获取所有国家
   * @param {*} params 
   * @returns 
   */
  getAllCountry(params) {
    return axios.get("/xiaoshi/patent/getAllCountry", {params});
  },
  /**
   * 获取所有省市区
   * @param {*} params 
   * @returns 
   */
  getAllProvince(params) {
    return axios.get("/xiaoshi/patent/getAllProvince", {params});
  },
  /**
   * 合并发明人、申请人、权利人列表的删除
   * @param {*} data 
   * @returns 
   */
  delMergePerson(data) {
    return axios.post("/xiaoshi/patent/delMergePerson", data);
  },
  /* 
  * 专利详情内部同族专利查询
   * @param {*} data 
   * @returns 
   */
  selectKinByPatentNo(data) {
    return axios.post("/xiaoshi/patent/selectKinByPatentNo", data);
  },
  /* 
  * 专利详情外部同族专利查询
   * @param {*} data 
   * @returns 
   */
  queryExternalFamily(data) {
    // return axios.post("/xiaoshi/patentStar/queryExternalFamily", data);
    return axios(
      {
        url: '/xiaoshi/patentStar/queryExternalFamily',
        method: 'post',
        data: data,
      }
    )
  },
  /**
   * 专利详情内部查询权利要求
   * @param {*} data 
   * @returns 
   */
  queryClaimByPatentNo(params) {
    return axios.get("/xiaoshi/patent/queryClaimByPatentNo", { params });
  },
  /**
   * 专利详情外部(检索)查询权利要求
   * @param {*} params 
   * @returns 
   */
  queryExternalClaim(params) {
    // return axios.get("/xiaoshi/patentStar/queryExternalClaim", {params});
    return axios(
      {
        url: '/xiaoshi/patentStar/queryExternalClaim',
        method: 'get',
        params: params,
      }
    )
  },
  /**
   * 专利详情外部(检索)著录信息
   * @param {*} data 
   * @returns 
   */
  queryExternalDetail(data) {
    // return axios.post("/xiaoshi/patentStar/queryExternalDetail", data);
    return axios(
      {
        url: '/xiaoshi/patentStar/queryExternalDetail',
        method: 'post',
        data: data,
        retry:true
      }
    )
  },
  /**
   * 专利详情外部(检索)获得中国专利pdf
   * @param {*} params 
   * @returns 
   */
  getCnPdf(params) {
    // return axios.get("/xiaoshi/patentStar/getExternalTextPdf", {params});
    return axios(
      {
        url: '/xiaoshi/patentStar/getExternalTextPdf',
        method: 'get',
        params: params,
      }
    )
  },
  /**
   * 专利详情外部(检索)获得中国专利pdf全文文本
   * @param {*} params 
   * @returns 
   */
  getCnFullText(params) {
    // return axios.get("/xiaoshi/patentStar/getCnFullText", {params});
    return axios(
      {
        url: '/xiaoshi/patentStar/getCnFullText',
        method: 'get',
        params: params,
      }
    )
  },
  /**
   * 专利详情内部获得中国专利pdf
   * @param {*} params 
   * @returns 
   */
  getTextPdf(params) {
    return axios.get("/xiaoshi/patent/getTextPdf", {params});
  },
  /**
   * 专利详情外部获得专利附图
   * @param {*} params 
   * @returns 
   */
  getExternalFigure(params) {
    // return axios.get("/xiaoshi/patentStar/getExternalFigure", {params});
    return axios(
      {
        url: '/xiaoshi/patentStar/getExternalFigure',
        method: 'get',
        params: params,
      }
    )
  },
  /**
   * 专利详情内部获得专利附图
   * @param {*} params 
   * @returns 
   */
  getFigure(params) {
    return axios.get("/xiaoshi/patent/getFigure", {params});
  },
  /**
   * 专利详情内部获得专利附图
   * @param {*} params 
   * @returns 
   */
  getPatentFigures(data) {
    return axios.post("/xiaoshi/patent/getPatentFigures", data);
  },
  /**
   * 专利详情外部获得法律事务状态
   * @param {*} params 
   * @returns 
   */
  getLegalStatus(params) {
    // return axios.get("/xiaoshi/patentStar/getLegalStatus", {params});
    return axios(
      {
        url: '/xiaoshi/patentStar/getLegalStatus',
        method: 'get',
        params: params,
      }
    )
  },
  /**
   * 专利详情外部获得摘要附图
   * @param {*} params 
   * @returns 
   */
  getPictureGuid(params) {
    // return axios.get("/xiaoshi/patentStar/getPictureGuid", {params});
    return axios(
      {
        url: '/xiaoshi/patentStar/getPictureGuid',
        method: 'get',
        params: params,
      }
    )
  },
  /**
   * 专利列表导出PDF首页
   * @param {*} data 
   * @returns 
   */
  exportPDFFirstPage(data) {
    return axios.post("/xiaoshi/patent/exportPDFFirstPage", data);
  },
  /**
   * 专利列表导出专利
   * @param {*} data 
   * @returns 
   */
  exportPatentExcel(data) {
    return axios.post("/xiaoshi/patent/exportPatentExcel", data);
  },
  /**
   * 专利关键词高亮添加
   * @param {*} data 
   * @returns 
   */
  saveOrUpdate(data) {
    return axios.post("/xiaoshi/hightlightTemplate/saveOrUpdate", data);
  },
  /**
   * 专利关键词高亮查询
   * @param {*} params 
   * @returns 
   */
  queryHightLight(params) {
    return axios.get("/xiaoshi/hightlightTemplate/query", {params});
  },
  /**
   * 专利关键词高亮删除
   * @param {*} data 
   * @returns 
   */
  deleteHightLight(data) {
    return axios.post("/xiaoshi/hightlightTemplate/delete", data);
  },
  /**
   * 添加标签
   * @param {*} data 
   * @returns 
   */
  addPatentLabel(data) {
    return axios.post("/xiaoshi/patentLabel/addPatentLabel", data);
  },
  /*
   * 批注添加
   * @param {*} data 
   * @returns 
   */
  addScratchWords(data) {
    return axios.post("/xiaoshi/scratchWords/add", data);
  },
  /**
   * 批注查询
   * @param {*} data 
   * @returns 
   */
  queryScratchWords(data) {
    return axios.post("/xiaoshi/scratchWords/queryScratchWords", data);
  },
  /**
   * 批注更新
   * @param {*} data 
   * @returns 
   */
  updateDimension(data) {
    return axios.post("/xiaoshi/scratchWords/update", data);
  },
  /**
   * 批注删除
   * @param {*} data 
   * @returns 
   */
  removeScratchWords(data) {
    return axios.post("/xiaoshi/scratchWords/removeScratchWords", data);
  },
  /**
   * 批注分组
   * @param {*} data 
   * @returns 
   */
  queryScratchWordsGroup(data) {
    return axios.post("/xiaoshi/scratchWords/queryScratchWordsGroup", data);
  },
  /**
   * 查询权利要求树
   * @param {*} params 
   * @returns 
   */
  getPatentRightTree(params) {
    return axios.get("/xiaoshi/feature/getPatentRightTree", {params});
  },
  /**
   * 专利添加相关产品
   * @param {*} data 
   * @returns 
   */
  addProductPatent(data) {
    return axios.post("/xiaoshi/patent/addProductPatent", data);
  },
  /**
   * 删除
   * @param {*} data 
   * @returns 
   */
  delProductPatent(data) {
    return axios.post("/xiaoshi/patent/delProductPatent", data);
  },
  /**
   * 根据专利号查询相关产品
   * @param {*} data 
   * @returns 
   */
  selectProductByPatentNo(data) {
    return axios.post("/xiaoshi/patent/selectProductByPatentNo", data);
  },


  /**
   * 批量删除专利
   * @param {*} data 
   * @returns 
   */
  deletePatents(data) {
    return axios.post("/xiaoshi/patent/deletePatents", data);
  },

  /**
   * 获取专利相似度（外部检索）
   * @param {*} data 
   * @returns 
   */
  getPatentSimilarMess(data) {
    return axios(
      {
        url: '/xiaoshi/patentStar/getPatentSimilarMess',
        method: 'post',
        data: data,
      }
    )
  },
}